Retrieves the code associated with the consumed coupon.
Retrieves the QR/BarCode or alphanumeric code associated to the consumed coupon.
GET
/
connectors
/
consumers
/
{consumer_id}
/
offers
/
{offer_id}
/
coupons
/
{coupon_id}
Retrieves the code associated with the consumed coupon.
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers/{offer_id}/coupons/{coupon_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers/{offer_id}/coupons/{coupon_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/offers/{offer_id}/coupons/{coupon_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Unique ID of the coupon for the given offer.
Unique ID of the offer on PayLead system.
Response
OK will return text or image
Was this page helpful?
Previous
Favorites an Offer
This route allows the connector to favorite a specific offer for a specific consumer.
Next
⌘I
Retrieves the code associated with the consumed coupon.
